Net::DNS::RR::PX(3)

NAME
Net::DNS::RR::PX - DNS PX resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS X.400 Mail Mapping Information (PX) resource records.

METHODS

  preference
    print "preference = ", $rr->preference, "\n";

Returns the preference given to this RR.

  map822
    print "map822 = ", $rr->map822, "\n";

Returns the RFC822 part of the RFC1327 mapping information.

  mapx400
    print "mapx400 = ", $rr->mapx400, "\n";

Returns the X.400 part of the RFC1327 mapping information.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC822, RFC 1327, RFC 2163